Bug 863319 - NetworkManager icon remains in "connecting" state (F18/Beta/TC1)
NetworkManager icon remains in "connecting" state (F18/Beta/TC1)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 02:01 EDT by Joachim Backes
Modified: 2014-02-05 07:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:27:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-10-05 02:01:32 EDT
Description of problem:

after having applied the most recent F18 updates in F18/Beta/TC1 (October 5), the
NetworkManager icon on the gnome3 desktop remains in the state
"connecting" even if the NIC is up and connected to the LAN.

Restarting NM does not help.
Version-Release number of selected component (if applicable):

NetworkManager-0.9.7.0-2.git20121004.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1.yum update in F18
2.
3.
  
Actual results:
See description

Expected results:


Additional info:
Comment 1 Joachim Backes 2012-10-05 05:48:00 EDT
vpn connections are shown with the right icon!
Comment 2 Joachim Backes 2012-10-07 08:37:19 EDT
By updating to NetworkManager-0.9.7.0-4.git20121004.fc18.x86_64 and
NetworkManager-glib-0.9.7.0-4.git20121004.fc18.x86_64, I got rid if the described problem :-)
Comment 3 Michael 2013-10-04 07:01:49 EDT
I regularly see this issue on Fedora 19 x86_64, under WPA2-personal and WPA2-enterprise WiFi connections.  It occurs unpredictably, but I would estimate it updates to the correct connected icon only about 1/3 of the time and otherwise remains displaying the connecting state icon.

I will note that I only experience this using Gnome Shell in Fedora.  The regular gtk nm-applet functions as expected under other desktop sessions.

Currently on NetworkManager-0.9.8.2-9.git20130709.fc19.x86_64.

If there is any log or debug info I can provide, I'll happily do so.
Comment 4 Michael 2013-10-04 07:06:43 EDT
Restarting gnome-shell via Alt-F2 and entering 'r', NM will display the correct icon on refresh.
Comment 5 Fedora End Of Life 2013-12-21 04:02:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:27:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.